Loading...
Searching...
No Matches
casacore::RecordFieldCopier< outType, inType > Class Template Reference
casa package (libcasa_casa) » Containers_module » Containers_module_internal_classes

Record field copier. More...

`#include <RecordFieldWriter.h>`

## Public Member Functions

| RecordFieldCopier (RecordInterface &outRecord, RecordFieldId whichOutField, const RecordInterface &inRecord, RecordFieldId whichInField)
void | copy ()
virtual void | writeField ()
Public Member Functions inherited from casacore::RecordFieldWriter
virtual | ~RecordFieldWriter ()

## Private Attributes

RecordFieldPtr< outType > | out_p
RORecordFieldPtr< inType > | in_p

## Detailed Description

template<class outType, class inType>
class casacore::RecordFieldCopier< outType, inType >

Record field copier.

Copies field to field as is.

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Etymology

Copies a field from a record to another record with a field of the same type.

### Motivation

This type of copy can be inlined.

Definition at line 88 of file RecordFieldWriter.h.

## Constructor & Destructor Documentation

## RecordFieldCopier()

template<class outType, class inType>

casacore::RecordFieldCopier< outType, inType >::RecordFieldCopier | ( | RecordInterface & | outRecord,
|  | RecordFieldId | whichOutField,
|  | const RecordInterface & | inRecord,
|  | RecordFieldId | whichInField )

References casacore::RecordInterface().

## Member Function Documentation

## copy()

template<class outType, class inType>

void casacore::RecordFieldCopier< outType, inType >::copy | ( |  | ) |

inline

Definition at line 95 of file RecordFieldWriter.h.

References in_p, and out_p.

## writeField()

template<class outType, class inType>

virtual void casacore::RecordFieldCopier< outType, inType >::writeField | ( |  | ) |

virtual

Implements casacore::RecordFieldWriter.

## Member Data Documentation

## in_p

template<class outType, class inType>

RORecordFieldPtr<inType> casacore::RecordFieldCopier< outType, inType >::in_p

private

Definition at line 99 of file RecordFieldWriter.h.

Referenced by copy().

## out_p

template<class outType, class inType>

RecordFieldPtr<outType> casacore::RecordFieldCopier< outType, inType >::out_p

private

Definition at line 98 of file RecordFieldWriter.h.

Referenced by copy().

The documentation for this class was generated from the following file:

- casa/Containers/RecordFieldWriter.h